clear all
u work

// Figure 1
preserve
collapse xborrow, by(info_cr)
twoway connected xborrow info_cr, saving(borrowinfo, replace) ytitle("Loan take-up (fraction)")  xsca(alt) ylabel(0 "0" .2 ".2" .4 ".4" .6 ".6" .8 ".8")
restore

preserve
collapse (count) xborrow, by(info_cr)
sum xborrow
replace xborrow = xborrow / r(sum)
twoway bar xborrow info_cr, ysca(reverse) saving(infohist, replace) fysize(25) ytitle("Fraction") ylabel(0 "0" .2 ".2" .4 ".4")
gr combine borrowinfo.gph infohist.gph, imargin(0 0 0 0) col(1)
restore
gr export fig1.eps, replace


// Figure 2
preserve
keep id v??r treat
reshape long v, i(id) j(var) string
collapse (count) id, by(var treat v)
drop if v==.
by var treat: egen s = sum(id)
replace id = id / s
drop s
reshape wide id, i(var v) j(treat)
renpfix id y
g cat = sum(var!=var[_n-1])

rename v x
label var x " "
g dtrue = y0 - y1
g dfalse = dtrue

local vals "500 3 2 15 3.7"
forv c=1/5 {
	local v : word `c' of `vals'
	replace dtrue = . if cat==`c' & x!=float(`v')
	replace dfalse = . if cat==`c' & x==float(`v')
}


/* Ä */
label def cat 1 "Max Loan (euro)" 2 "Max Loan Period (years)" 3 "Grace Period (years)" 4 "Repay Period (years)" 5 "Interest Rate (%)"
label val cat cat


twoway (connected y0 x, lcolor(black) lpattern(solid) lwidth(thin) msymbol(circle) mcolor(black)) ///
	(rbar dtrue y0 x, lcolor(black) lwidth(thin) fcolor(green)) ///
	(rbar dfalse y0 x, lcolor(black) lwidth(thin) fcolor(none)) ///
	, by(cat, note("") yrescale xrescale legend(on at(6) )) ylabel(,nogrid) ///
	legend(cols(1))  ///
	legend(label(1 "Control Group") label(2 "Correct") label(3 "Incorrect")) ///
	legend(region(lwidth(none)))  ///
	yline(0, lcolor(black) lpattern(solid) lwidth(thin)) ytitle("Fraction") 

// additional tweaking by hand:
// barwidths: 80 0.8 0.8 4 0.4
// put legend in the east
// box in white
// set scheme s1mono

restore
